Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
Interface Command

Method Summary
`Object` | `execute(List args)`
`List` | `getAliases()`
`Completor` | `getCompletor()`
`String` | `getDescription()`
`String` | `getHelp()`
`boolean` | `getHidden()`
`String` | `getName()`
`String` | `getShortcut()`
`String` | `getUsage()`

Method Detail

### execute

    Object execute(List args)

### getAliases

    List getAliases()

### getCompletor

    Completor getCompletor()

### getDescription

    String getDescription()

### getHelp

    String getHelp()

### getHidden

    boolean getHidden()

### getName

    String getName()

### getShortcut

    String getShortcut()

### getUsage

    String getUsage()